
#pragma once

namespace schpin
{

template < typename Graph >
struct GraphSearchTask
{
        using VertexID = typename Graph::VertexID;
        using Price    = typename Graph::Price;
        VertexID current_id;
        VertexID goal_id;
};

enum class GraphSearchState
{
        FOUND_PATH,
        NOT_FINISHED,
        PATH_MISSING
};
}  // namespace schpin
