#include "environment.h"
#include "robot.h"

namespace schpin
{
struct PlannerContext
{
        Pose                  current;
        std::optional< Pose > goal;
        // TODO: the shared_ptr is bad, need shared_ptr-like thing that can't exists with NULLPTR
        std::shared_ptr< Environment > env_ptr;
        std::shared_ptr< Robot >       robot_ptr;
};
}  // namespace schpin
