#include <type_traits>

#pragma once

namespace schpin
{
template < typename Container, typename UnaryFunction >
using extract_map_value_type_t =
    std::remove_const_t< decltype( std::declval< UnaryFunction >()( *std::declval< Container >().begin() ) ) >;

}
