#include "body/base.h"
#include "graph/generics.h"
#include "graph/interface.h"

#pragma once

namespace schpin
{

struct BodyEdgeContent
{

        BodyPrice price;

        BodyPrice getPrice() const
        {
                return price;
        }
};

using BodyEdge = GenericEdge< BodyEdgeID, BodyEdgeContent, BodyPrice, BodyVertexID, BodyEdgeOffset >;

}  // namespace schpin
