#include "base/point.h"
#include "base/triangle.h"
#include "schpin_lib/error.h"
#include <filesystem>

#pragma once

namespace schpin
{
Either< std::vector< Triangle< 3 > >, ParseError > parseTriangles( std::filesystem::path filename );

}  // namespace schpin
